// Copyright 2015 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

goog.provide('GoogleSmartCard.Libusb.IntegrationTestAppWindow');

goog.require('GoogleSmartCard.Libusb.ChromeUsbBackend');
goog.require('GoogleSmartCard.NaclModule');
goog.require('goog.dom');
goog.require('goog.events');

goog.scope(function() {

/** @const */
var GSC = GoogleSmartCard;

var naclModule = new GSC.NaclModule(
    'nacl_module.nmf', GSC.NaclModule.Type.PNACL);

var libusbChromeUsbBackend = new GSC.Libusb.ChromeUsbBackend(
    naclModule);

function onSelectDevicesClicked() {
  chrome.usb.getUserSelectedDevices({}, goog.nullFunction);
}

function onRunDemoClicked() {
  naclModule.messageChannel.send('run_libusb_demo', {});
}

function onDomContentLoaded() {
  var selectDevicesElement = goog.dom.getElement('select-devices');
  goog.events.listen(selectDevicesElement, 'click', onSelectDevicesClicked);
  selectDevicesElement.disabled = false;

  var runDemoElement = goog.dom.getElement('run-demo');
  goog.events.listen(runDemoElement, 'click', onRunDemoClicked);
  naclModule.addLoadEventListener(function() {
    runDemoElement.disabled = false;
  });

  naclModule.load();
}

goog.events.listenOnce(
    document, goog.events.EventType.DOMCONTENTLOADED, onDomContentLoaded);

});  // goog.scope
