// Copyright 2015 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

goog.provide('GoogleSmartCard.Libusb.ChromeUsbBackend');

goog.require('GoogleSmartCard.Libusb.ChromeUsbRequestHandler');
goog.require('GoogleSmartCard.RequestReceiver');
goog.require('goog.messaging.MessageChannel');

goog.scope(function() {

/** @const */
var REQUESTER_NAME = 'libusb_chrome_usb';

/** @const */
var GSC = GoogleSmartCard;

/**
 * @param {!goog.messaging.MessageChannel} naclModuleMessageChannel
 * @constructor
 */
GSC.Libusb.ChromeUsbBackend = function(naclModuleMessageChannel) {
  /** @private */
  this.chromeUsbRequestHandler_ =
      new GSC.Libusb.ChromeUsbRequestHandler();

  /** @private */
  this.chromeUsbRequestReceiver_ = new GSC.RequestReceiver(
      REQUESTER_NAME, naclModuleMessageChannel, this.chromeUsbRequestHandler_);
};

});  // goog.scope
