// Copyright 2015 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

#ifndef GOOGLE_SMART_CARD_PCSC_LITE_CLIENT_GLOBAL_H_
#define GOOGLE_SMART_CARD_PCSC_LITE_CLIENT_GLOBAL_H_

#include <memory>

#include <ppapi/cpp/core.h>
#include <ppapi/cpp/instance.h>

#include <google_smart_card_common/messaging/typed_message_router.h>

namespace google_smart_card {

// FIXME(emaxx): ???
//
// Note: Class constructor and destructor are not thread-safe against any
// concurrent PC/SC-Lite API function calls.
class PcscLiteOverRequesterGlobal final {
 public:
  PcscLiteOverRequesterGlobal(
      TypedMessageRouter* typed_message_router,
      pp::Instance* pp_instance,
      pp::Core* pp_core);

  ~PcscLiteOverRequesterGlobal();

  void Detach();

 private:
  class Impl;

  std::unique_ptr<Impl> impl_;
};

}  // namespace google_smart_card

#endif  // GOOGLE_SMART_CARD_PCSC_LITE_CLIENT_GLOBAL_H_
