// Copyright 2015 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

goog.provide('GoogleSmartCard.PcscLiteClient.NaclClientBackend');

goog.require('GoogleSmartCard.PcscLiteClient.NaclClientRequestHandler');
goog.require('GoogleSmartCard.RequestReceiver');

goog.scope(function() {

/** @const */
var REQUESTER_NAME = 'pcsc_lite';

/** @const */
var GSC = GoogleSmartCard;

/**
 * FIXME(emaxx): ???
 * @param {!goog.messaging.MessageChannel} naclModuleMessageChannel
 * @param {string} clientTitle Client title for the connection. Currently this
 * is only used for the debug logs produced by the server app.
 * @param {string=} opt_serverAppId ID of the server App. By default, the ID of
 * the official server App distributed through WebStore is used.
 * @constructor
 */
GSC.PcscLiteClient.NaclClientBackend = function(
    naclModuleMessageChannel, clientTitle, opt_serverAppId) {
  /** @private */
  this.naclClientRequestHandler_ =
      new GSC.PcscLiteClient.NaclClientRequestHandler(
          clientTitle, opt_serverAppId);

  /** @private */
  this.chromeUsbRequestReceiver_ = new GSC.RequestReceiver(
      REQUESTER_NAME, naclModuleMessageChannel, this.naclClientRequestHandler_);
};

});  // goog.scope
