// Copyright 2015 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

goog.provide('GoogleSmartCard.PcscLiteServer.TestClientApp');

goog.require('GoogleSmartCard.DebugDump');
goog.require('GoogleSmartCard.FixedSizeInteger');
goog.require('GoogleSmartCard.PcscLiteClient.API');
goog.require('GoogleSmartCard.PcscLiteClient.Demo');
goog.require('GoogleSmartCard.PcscLiteCommon.Constants');
goog.require('GoogleSmartCard.PortMessageChannel');
goog.require('GoogleSmartCard.RemoteCallMessage');
goog.require('GoogleSmartCard.Requester');
goog.require('goog.log.Level');

goog.scope(function() {

/** @const */
var GSC = GoogleSmartCard;
/** @const */
var dump = GSC.DebugDump.dump;

goog.log.getLogger('').setLevel(goog.log.Level.FINER);

window['work'] = function() {
  var port = chrome.runtime.connect(
      GSC.PcscLiteCommon.Constants.SERVER_OFFICIAL_APP_ID,
      {'name': 'test_client_app'});

  var channel = new GSC.PortMessageChannel(port);

  var api = new GSC.PcscLiteClient.API(channel);

  function startDemo() {
    GSC.PcscLiteClient.Demo.logger.info('Starting the demo...');
    GSC.PcscLiteClient.Demo.run(api, onDemoSucceeded, onDemoFailed);
  }

  function onDemoSucceeded() {
    GSC.PcscLiteClient.Demo.logger.info('The demo finished successfully');
    cleanup();
  }

  function onDemoFailed() {
    GSC.PcscLiteClient.Demo.logger.warning('The demo failed.');
    cleanup();
  }

  function cleanup() {
    api.dispose();
    channel.dispose();
  }

  startDemo();
};

});  // goog.scope
