// Copyright 2015 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

#ifndef GOOGLE_SMART_CARD_PCSC_LITE_SERVER_GLOBAL_H_
#define GOOGLE_SMART_CARD_PCSC_LITE_SERVER_GLOBAL_H_

namespace google_smart_card {

// Performs all necessary PC/SC-Lite NaCl port initialization steps and starts
// the PC/SC-Lite daemon.
//
// The daemon thread never finishes. Therefore, it's not allowed to call this
// function twice in a single process.
//
// Note that it is assumed that nacl_io and libusb NaCl port libraries have
// already been initialized.
void InitializeAndRunPcscLiteServer();

}  // namespace google_smart_card

#endif  // GOOGLE_SMART_CARD_PCSC_LITE_SERVER_GLOBAL_H_
