// Copyright 2015 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

#include <google_smart_card_pcsc_lite_server_clients_management/backend.h>

#include "clients_manager.h"

namespace google_smart_card {

class PcscLiteServerClientsManagementBackend::Impl final {
 public:
  Impl(pp::Instance* pp_instance, TypedMessageRouter* typed_message_router)
      : typed_message_router_(typed_message_router),
        clients_manager_(pp_instance, typed_message_router_) {}

  ~Impl() {
    clients_manager_.Detach();
  }

 private:
  TypedMessageRouter* typed_message_router_;
  PcscLiteServerClientsManager clients_manager_;
};

PcscLiteServerClientsManagementBackend::PcscLiteServerClientsManagementBackend(
    pp::Instance* pp_instance, TypedMessageRouter* typed_message_router)
    : impl_(new Impl(pp_instance, typed_message_router)) {}

PcscLiteServerClientsManagementBackend::
~PcscLiteServerClientsManagementBackend() {}

}  // namespace google_smart_card
