// Copyright 2015 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

// This file contains functions for creating "ready" messages intended for
// notifying the remote side when the initialization is complete.
//
// See common/messaging/typed_message.h file for the description of notion of
// "message type" and "message data".

#ifndef GOOGLE_SMART_CARD_PCSC_LITE_SERVER_CLIENTS_MANAGEMENT_READY_MESSAGE_H_
#define GOOGLE_SMART_CARD_PCSC_LITE_SERVER_CLIENTS_MANAGEMENT_READY_MESSAGE_H_

#include <string>

#include <ppapi/cpp/var.h>

namespace google_smart_card {

// Returns the message type for the "PC/SC-Lite ready" message.
std::string GetPcscLiteServerReadyMessageType();

// Constructs the "PC/SC-Lite ready" message data (it's actually an empty
// dictionary, but the function is here for the uniformity purpose).
pp::Var MakePcscLiteServerReadyMessageData();

}  // namespace google_smart_card

#endif  // GOOGLE_SMART_CARD_PCSC_LITE_SERVER_CLIENTS_MANAGEMENT_READY_MESSAGE_H_
